#include "src/bookmarks/kz-bookmark-separator.h"

#include <gcutter.h>

static KzBookmark *separator;

void test_new (void);

void
setup (void)
{
    separator =  NULL;
}

void
teardown (void)
{
    if (separator)
        g_object_unref(separator);
}

void
test_new (void)
{
    separator = kz_bookmark_separator_new();
    cut_assert(separator);
    cut_assert_true(kz_bookmark_is_separator(separator));
    cut_assert_equal_string("-----", kz_bookmark_get_title(separator));
}

/*
vi:ts=4:nowrap:ai:expandtab:sw=4
*/
